html, body, button {
    font-family: "Public Sans", sans-serif;
    margin: 0;
    padding: 0;
}

h1 {
    font-size: calc(0.35vw + 25px);
}

h3 {
    font-size: calc(.2vw + 20px);
}

p {
    font-size: calc(0.1vw + 15px);
}

button {
    color: black;
}

@media only screen and (min-width: 1094px) {
    #topbox-container {
        display: flex;
        justify-content: center;
        height: min-content;
        background-color: #FAF8F2;
        padding-top: 2vh;
        padding-bottom: 4vh;
    }

    #topbox {
        background-color: #faeca0;
        border-radius: 10px;
        width: 75vw;
        height: min-content;
        padding: max(4vh, 25px) max(2vw, 25px);
    }

    #toprow {
        display: flex;
        flex-direction: row;
    }

    #toprow img {
        height: 12vh;
        min-height: 100px;
    }

    #toprow > div {
        margin-left: auto;
        display: flex;
        flex-direction: row;
        align-items: flex-end;
    }

    #toprow ul {
        display: flex;
        flex-direction: row;
        gap: 2vw;
        list-style: none;
        margin: 0;
        padding: 0;
        margin-bottom: 2vh;
        margin-left: auto;
        font-weight: bold;
        height: min-content;
        font-size: calc(0.2vw + 20px);
    }

    #toprow ul li {
        border: 2px solid transparent;
        transition: border-bottom 0.3s ease;
    }

    #toprow ul li:hover {
        border-bottom: 2px solid #f8c423;
    }

    #burger {
        display: none;
    }

    #close {
        display: none;
    }
}

@media only screen and (max-width: 1093px) {
    #topbox-container {
        display: flex;
        justify-content: center;
        height: min-content;
        background-color: #FAF8F2;
        padding-top: 2vh;
        padding-bottom: 4vh;
    }

    #topbox {
        background-color: #faeca0;
        border-radius: 10px;
        width: 75vw;
        height: min-content;
        padding: max(4vh, 25px) max(2vw, 25px);
    }

    #toprow {
        display: flex;
        flex-direction: row;
    }

    #toprow > div {
        margin-left: auto;
    }

    #toprow img {
        height: 12vh;
        min-height: 100px;
    }

    #toprow ul {
        display: flex;
        flex-direction: column;
        background-color: #f8c423;
        gap: 2vw;
        list-style: none;
        margin: 0;
        padding: 0;
        font-weight: bold;
        font-size: calc(0.2vw + 20px);
        position: fixed;
        top: 0;
        right: 0;
        min-height: 100vh;
        z-index: 100;
        padding: 2vh 2vw;
        width: 40vw;
        transform: translateX(100%);
        transition: transform 0.3s ease;
    }

    #toprow ul.open {
        transform: translateX(0);
    }

    #toprow ul li {
        border: 2px solid transparent;
    }

    #toprow ul li a {
        border: 2px solid transparent;
        transition: border-bottom 0.3s ease;
    }

    #toprow ul li a:hover {
        border-bottom: 2px solid white;
    }

    #burger {
        font-size: calc(0.9vw + 25px);
        cursor: pointer;
    }

    #close {
        position: absolute;
        top: 2vh;
        right: 2vw;
        font-size: calc(0.9vw + 25px);
        cursor: pointer;
    }
}

a {
    color: black;
    text-decoration: none;
}

@media only screen and (min-width: 760px) {
    #lower {
        margin-top: 2vh;
        display: flex;
        flex-direction: row;
    }

    .card {
        height: 40vh;
        min-height: 225px;
        width: 32.5vw;
        border-radius: 10px;
        position: relative;
        color: white;
        overflow: hidden;
        background-color: white;
    }
}

@media only screen and (max-width: 759px) {
    #lower {
        margin-top: 2vh;
        display: flex;
        flex-direction: column;
        align-items: center;
    }

    #joincta {
        float: center;
    }

    .card {
        height: 40vh;
        min-height: 225px;
        width: 100%;
        border-radius: 10px;
        position: relative;
        color: white;
        overflow: hidden;
        background-color: white;
    }

    #cards {
        margin-top: max(3vh, 17px);
    }
}

#cards {
    margin-left: auto;
    display: flex;
    flex-direction: row;
    height: min-content;
    align-items: center;
    position: relative;
    gap: 1vw;
}

.card:hover img {
    transform: translateX(-50%) scale(1.05);
}

.card img {
    position: absolute;
    transform: translateX(-50%);
    left: 50%;
    height: 100%;
    transition: transform 0.6s ease;
    width: 100%;
    object-fit: cover;
}

.cardinner {
    padding: max(2.5vh, 17px) max(1vw, 17px);
    background: linear-gradient(rgba(0, 0, 0, 0.5), rgba(0, 0, 0, 0.25));
    background-size: cover;
    background-position: center;
    display: flex;
    flex-direction: row;
    gap: 1vw;
    position: relative;
    z-index: 98;
    height: 100%;
}

.card h3 {
    margin: 0;
    z-index: 99;
}

.cardinner i {
    font-size: calc(0.5vw + 20px);
    transform: rotate(45deg);
}

.slideOut {
    animation: slideOut .3s ease;
}

.slideIn {
    animation: slideIn .3s ease;
}

@keyframes slideOut {
    from {
        transform: translateY(0) translateX(0);
        opacity: 1;
    }
    to {
        transform: translateY(-20px) translateX(10px);
        opacity: .67;
    }
}

@keyframes slideIn {
    from {
        transform: translateY(20px) translateX(-10px);
        opacity: .67;
    }

    to {
        transform: translateY(0) translateX(0);
        opacity: 1;
    }
}

#indicator {
    position: absolute;
    display: flex;
    flex-direction: row;
    gap: 7px;
    transform: translateX(-50%);
    left: 50%;
    bottom: 2vh;
    z-index: 99;
}

#indicator div {
    width: 8px;
    height: 8px;
    background-color: #ffffff;
    border-radius: 50%;
    transition: background-color 0.3s ease;
}

button {
    border: none;
    background: none;
    cursor: pointer;
}

#prevCard, #nextCard {
    transform-origin: center;
    height: min-content;
    font-size: calc(0.75vw + 40px);
    transition: transform 0.3s ease;
}

#prevCard:hover, #nextCard:hover {
    transform: scale(1.2);
}

#joincta {
    background-color: #f8c423;
    border-radius: 10px;
    padding: .5vh .75vw;
    transition-property: background-color, font-weight;
    transition-duration: 0.3s;
    transition-timing-function: ease;
    border: 4px solid transparent;
    font-size: calc(0.2vw + 17.5px);
}

#joincta:hover {
    background-color: #ffbf00;
    font-weight: bold;
}

@media only screen and (min-width: 760px) {
    #below {
        padding-top: 6vh;
        padding-bottom: 6vh;
        padding-left: 12.5vw;
        background-color: #F4F0E6;
        display: flex;
        flex-direction: row;
        gap: 4vw;
        height: min-content;
        align-items: center;
    }

    #below div {
        width: 35.5vw;
    }

    #below img {
        width: 35.5vw;
        height: min-content;
    }
}

@media only screen and (max-width: 759px) {
    #below {
        padding: 6vh 12.5vw;
        background-color: #F4F0E6;
        display: flex;
        flex-direction: column;
        gap: 2vh;
    }
}

@media only screen and (min-width: 1417px) {
    footer {
        background-color: #333;
        color: white;
        padding-left: 12.5vw;
        padding-right: 12.5vw;
        padding-top: 4vh;
        padding-bottom: 6vh;
        display: flex;
        flex-direction: row;
    }

    footer p {
        margin: 0;
    }

    #icons {
        margin-left: auto;
        display: flex;
        gap: min(1vw, 10px);
    }

    #icons a {
        color: white;
        transition: color 0.3s ease;
    }

    #icons a:hover {
        color: #f8c423;
    }

    #footerlinks {
        display: flex;
        transform: translateX(-50%);
        left: 50%;
        gap: 2vw;
        position: absolute;
    }

    #footerlinks a {
        color: white;
    }
}

@media only screen and (max-width: 1416px) and (min-width: 517px) {
    footer {
        background-color: #333;
        color: white;
        padding-left: 12.5vw;
        padding-right: 12.5vw;
        padding-top: 4vh;
        padding-bottom: 6vh;
        display: flex;
        flex-direction: column;
        gap: 2vh;
    }

    footer p {
        margin: 0;
    }

    #icons {
        display: flex;
        gap: max(1vw, 10px);
    }

    #icons a {
        color: white;
        transition: color 0.3s ease;
    }

    #icons a:hover {
        color: #f8c423;
    }

    #footerlinks {
        display: flex;
        gap: 2vw;
    }

    #footerlinks a {
        color: white;
    }
}

@media only screen and (max-width: 516px) {
    footer {
        background-color: #333;
        color: white;
        padding-left: 12.5vw;
        padding-right: 12.5vw;
        padding-top: 4vh;
        padding-bottom: 6vh;
        display: flex;
        flex-direction: column;
        gap: 2vh;
    }

    footer p {
        margin: 0;
    }

    #icons {
        display: flex;
        gap: max(1vw, 10px);
    }

    #icons a {
        color: white;
        transition: color 0.3s ease;
    }

    #icons a:hover {
        color: #f8c423;
    }

    #footerlinks {
        display: flex;
        flex-direction: column;
        gap: 2vh;
    }

    #footerlinks a {
        color: white;
    }
}